You are not logged in.

#1 2019-07-15 11:31:28

peebee
Member
Registered: 2019-05-12
Posts: 15

LXQt & Qt5-5.13.0 - lxqt-panel problem?

Anybody got LXQt-0.14.1 working with the new Qt5-5.13.0 that appeared at the start of July?

I am getting a segfault in lxqt-panel e.g.:

lxqt-panel[7304]: segfault at c ip 00000000f2374b3e sp 00000000ffa2bbe0 error 4 in libqxcb-glx-integration.so

QTerminal also segfaults in same plugin.

Other LXQt components such as lxqt-session and pcmanfm-qt seem to be working OK with the new Qt5 so I'm wondering if I've failed to update something??

libqxcb-glx-integration.so comes from qt5-base-5.13.0-7.0-i686.pkg.tar.xz and resides in
/usr/lib/qt/plugins/xcbglintegrations

Last edited by peebee (2019-07-15 15:42:32)

Offline

#2 2019-07-27 13:35:29

peebee
Member
Registered: 2019-05-12
Posts: 15

Re: LXQt & Qt5-5.13.0 - lxqt-panel problem?

Just to reiterate that I am still getting a segfault with both lxqt-panel and qterminal with Qt5-5.13.0 .................

I see that there are updates to components in staging and community-staging and have used these new versions but am still seeing segfaults.

Anybody any ideas??

Thanks!

Offline

#3 2019-07-27 20:43:46

arch32yes
Member
Registered: 2017-09-30
Posts: 99

Re: LXQt & Qt5-5.13.0 - lxqt-panel problem?

Offline

#4 2019-07-28 06:13:37

peebee
Member
Registered: 2019-05-12
Posts: 15

Re: LXQt & Qt5-5.13.0 - lxqt-panel problem?

I've found that if I DELETE the directory:
/usr/lib/qt/plugins/xcbglintegrations

then lxpanel and qterminal work fine
and
there doesn't seem to be any other obvious downsides........???????

Offline

#5 2019-07-28 15:51:42

levi
Moderator
From: Yorkshire, UK
Registered: 2018-06-16
Posts: 463

Re: LXQt & Qt5-5.13.0 - lxqt-panel problem?

Apparently that's used in OpenGL contexts at the very least.  I'd assume neither lxpanel nor qterminal use opengl but I'd no experience of them so I couldn't be sure.  Do you have anything installed that could test that out?  If not I'd suggest installing mesa-demos which at least gives you glxgears, and doesn't have the worst dependencies.


Architecture: pentium4, Testing repos: Yes, Hardware: EeePC 901+2GB RAM+OS half on the SD card.

Offline

#6 2019-07-29 08:27:33

peebee
Member
Registered: 2019-05-12
Posts: 15

Re: LXQt & Qt5-5.13.0 - lxqt-panel problem?

levi wrote:

Do you have anything installed that could test that out?

'Fraid not - would require a Qt app that 'used' glx I would imagine - Qt5 is only being used as the basis for LXQt on my system....so I'm hoping that the deletion of that particular Qt plugin will not have any other adverse effects. No missing dependencies arise if the plugins are deleted - which is odd as obviously lxqt-panel and qterminal are executing the plugins to cause the segfault, but maybe Qt plugins are not "real" dependencies??? glxgears is not a Qt app - it is installed and works fine. Is there a Qt version of glxgears?

Offline

#7 2019-07-29 20:27:15

levi
Moderator
From: Yorkshire, UK
Registered: 2018-06-16
Posts: 463

Re: LXQt & Qt5-5.13.0 - lxqt-panel problem?

Okay, thanks for testing that.  There's not any qt version of glxgears that I know of, and I don't really know what accessing opengl through qt would even mean to be honest.  But if lxpanel, qtpanel and an opengl test app are all working, it would suggest your workaround might be rather viable.


Architecture: pentium4, Testing repos: Yes, Hardware: EeePC 901+2GB RAM+OS half on the SD card.

Offline

Board footer

Powered by FluxBB